Resolution: Duplicate   

Description

There are certain fields, regular or custom, that while needed as part of an issue are not needed regularly, or are used infrequently.

It would be nice to be able to mark such fields as uncommon and allow those fields to be not displayed by default. This would help in

keeping the UI clean and not cluttered. Much like the existing 'Change properties'. Except that these issues would typically be found

in the lower part of the UI rather than just the top.

This sounds similar to #2618. Although a larger version of this would be to use the example of the workflow mechanism to select

which fields would be in the uncommon area by issue type and role.

Related issues:

Related to Redmine - Feature #12005: Mightful workflow field enhancement: hide New

Related to Redmine - Feature #12250: Configure order custom fields New

Is duplicate of Redmine - Feature #2618: Move some change properties fields i... New 2009-01-29

History

#1 - 2013-01-12 19:01 - Daniel Felix

- Category changed from Issues workflow to UI

Hi,

this is a good idea. This setting would be helpful.

Maybe this settings could be set by workflow or in the projectconfiguration.

This is a problem which getting seriously on projects with many different custom fields, which must be writeable (which means i can't just hide them 

#8050) but they shouldn't be displayed all the time. In addition with #12250, this could be really helpful to get a cleaner interface!

#2 - 2013-01-12 19:18 - Daniel Felix

I'm closing this in favor of #2618. This is a duplicate as described in the issue description. The idea with the workflow management could be good.

#3 - 2013-01-12 19:19 - Daniel Felix

- Status changed from New to Closed

- Resolution set to Duplicate
